RegistrationEventHandlerImpl
Keywords: org.gcube.informationsystem.notifier.util.RegistrationEventHandlerImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.informationsystem.notifier.util
Class RegistrationEventHandlerImpl

    java.lang.Object
      org.gcube.informationsystem.notifier.util.RegistrationEventHandlerImpl

All Implemented Interfaces:
  java.io.Serializable, RegistrationEventHandler<Producer,EPR>

    public class RegistrationEventHandlerImpl

extends java.lang.Object
implements RegistrationEventHandler<Producer,EPR>, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static org.gcube.common.core.utils.logging.GCUBELog` | `logger`

Constructor Summary
`RegistrationEventHandlerImpl(javax.xml.namespace.QName topic)`

Method Summary
`java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `getSubscriptionEPRByConsumer(EPR consumer)`
`java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `getSubscriptionEPRByProducer(Producer producer)`
`java.util.List<Subscription>` | `getSubscriptionList()`
`javax.xml.namespace.QName` | `getTopic()`
`void` | `onNewConsumer(EPR consumer, java.util.List<Producer> registeredProducerList)`
`void` | `onNewProducer(Producer newProducer, java.util.List<EPR> registeredConsumerList)`
`void` | `onProducerExist(Producer newProducer, Producer oldProducer, java.util.List<EPR> registeredConsumerList)`
`void` | `onRemoveConsumer(EPR consumer)`
`void` | `onRemoveProducer(Producer producer)`
`void` | `setSubscriptionList(java.util.List<Subscription> subscriptionList)`
`void` | `setTopic(javax.xml.namespace.QName topic)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static org.gcube.common.core.utils.logging.GCUBELog logger

Constructor Detail

### RegistrationEventHandlerImpl

    public RegistrationEventHandlerImpl(javax.xml.namespace.QName topic)

Method Detail

### setSubscriptionList

    public void setSubscriptionList(java.util.List<Subscription> subscriptionList)

### getSubscriptionList

    public java.util.List<Subscription> getSubscriptionList()

### getTopic

    public javax.xml.namespace.QName getTopic()

### setTopic

    public void setTopic(javax.xml.namespace.QName topic)

### onNewConsumer

    public void onNewConsumer(EPR consumer,
                              java.util.List<Producer> registeredProducerList)
                       throws java.lang.Exception

  Specified by:
    `onNewConsumer` in interface `RegistrationEventHandler<Producer,EPR>`
  Throws:
    `java.lang.Exception`

### onNewProducer

    public void onNewProducer(Producer newProducer,
                              java.util.List<EPR> registeredConsumerList)
                       throws java.lang.Exception

  Specified by:
    `onNewProducer` in interface `RegistrationEventHandler<Producer,EPR>`
  Throws:
    `java.lang.Exception`

### onProducerExist

    public void onProducerExist(Producer newProducer,
                                Producer oldProducer,
                                java.util.List<EPR> registeredConsumerList)
                         throws java.lang.Exception

  Specified by:
    `onProducerExist` in interface `RegistrationEventHandler<Producer,EPR>`
  Throws:
    `java.lang.Exception`

### onRemoveConsumer

    public void onRemoveConsumer(EPR consumer)
                          throws java.lang.Exception

  Specified by:
    `onRemoveConsumer` in interface `RegistrationEventHandler<Producer,EPR>`
  Throws:
    `java.lang.Exception`

### onRemoveProducer

    public void onRemoveProducer(Producer producer)
                          throws java.lang.Exception

  Specified by:
    `onRemoveProducer` in interface `RegistrationEventHandler<Producer,EPR>`
  Throws:
    `java.lang.Exception`

### getSubscriptionEPRByProducer

    public java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> getSubscriptionEPRByProducer(Producer producer)

  Specified by:
    `getSubscriptionEPRByProducer` in interface `RegistrationEventHandler<Producer,EPR>`

### getSubscriptionEPRByConsumer

    public java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> getSubscriptionEPRByConsumer(EPR consumer)

  Specified by:
    `getSubscriptionEPRByConsumer` in interface `RegistrationEventHandler<Producer,EPR>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD